公開日:2022/06/24 最終更新日:2022/06/24

JVNVU#97665184
複数のPyramid Solutions製品における境界外書き込みの脆弱性

概要

Pyramid Solutions社が提供する複数の製品には、境界外書き込みの脆弱性が存在します。

影響を受けるシステム

  • EtherNet/IP Adapter Development Kit (EADK) バージョン4.4.0およびそれ以前
  • EtherNet/IP Adapter DLL Kit (EIPA) バージョン4.4.0およびそれ以前
  • EtherNet/IP Scanner Development Kit (EDKS) バージョン4.4.0およびそれ以前
  • EtherNet/IP Scanner DLL Kit (EIPS) バージョン4.4.0およびそれ以前

詳細情報

Pyramid Solutions社が提供する複数の製品には、次の脆弱性が存在します。

  • 境界外書き込み (CWE-787) - CVE-2022-1737

想定される影響

脆弱性を悪用された場合、次のような影響を受ける可能性があります。

  • 遠隔の第三者によって、細工されたパケットを送付されサービス運用妨害 (DoS) 攻撃を受ける

対策方法

アップデートする
開発者は、アップデートを提供しています。
詳細は、開発者が提供する情報をご確認ください。

ベンダ情報

ベンダ リンク
Pyramid Solutions, Inc. NetStaX | Pyramid Solutions

参考情報

  1. ICS Advisory (ICSA-22-174-04)
    Pyramid Solutions EtherNet/IP Adapter Development Kit
  2. VDE CERT | VDE-2021-004
    WEIDMUELLER: EtherNet/IP Fieldbus Coupler out-of-bounds write

JPCERT/CCからの補足情報

JPCERT/CCによる脆弱性分析結果

謝辞

関連文書

JPCERT 緊急報告
JPCERT REPORT
CERT Advisory
CPNI Advisory
TRnotes
CVE
JVN iPedia